Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.monitor.alarm
Interface Alarm

public interface Alarm

Alarm Constants. An alarm can be of two types: Stateless, when the producing MBean keeps no state about the occurence of the alarm. The produced alarm notification must have alarmState STATE_NONE and the valid severities are SEVERITY_NORMAL -> SEVERITY_UNKNOWN Stateful, when the producing MBean keeps state about the occurence of the alarm. The first notification must carry alarmState STATE_CREATED, with valid severities SEVERITY_WARNING -> SEVERITY_UNKNOWN. Any change in the alarm (severity) must generate an alarm notification with alarmState STATE_CHANGED and valid severities SEVERITY_WARNING -> SEVERITY_UNKNOWN. The clearance of the alarm must be indicates with an alarm notification with alarmState STATE_CLEARED and a severity of SEVERITY_NORMAL. This complexity is required in order to be able to easily correlate alarms and associaty the generation and clearence of system faults.

Version:
  $Revision: 1.1.4.1 $
Author:
  Dimitris Andreadis

Field Summary
`static String` | `DEFAULT_SERVER_ID` default server id
`static int` | `SEVERITY_CRITICAL`
`static int` | `SEVERITY_MAJOR`
`static int` | `SEVERITY_MINOR`
`static int` | `SEVERITY_NORMAL` the possible severities of an alarm
`static String[]` | `SEVERITY_STRINGS` stringfied severities
`static int` | `SEVERITY_UNKNOWN`
`static int` | `SEVERITY_WARNING`
`static int` | `STATE_CHANGED`
`static int` | `STATE_CLEARED` the possible states of an alarm
`static int` | `STATE_CREATED`
`static int` | `STATE_NONE`
`static String[]` | `STATE_STRINGS` stringfied alarm states

Field Detail

### DEFAULT_SERVER_ID

    public static final String DEFAULT_SERVER_ID

  default server id

  See Also:
    Constant Field Values

### STATE_CLEARED

    public static final int STATE_CLEARED

  the possible states of an alarm

  See Also:
    Constant Field Values

### STATE_CHANGED

    public static final int STATE_CHANGED

See Also:
  Constant Field Values

### STATE_CREATED

    public static final int STATE_CREATED

See Also:
  Constant Field Values

### STATE_NONE

    public static final int STATE_NONE

See Also:
  Constant Field Values

### STATE_STRINGS

    public static final String[] STATE_STRINGS

  stringfied alarm states

### SEVERITY_NORMAL

    public static final int SEVERITY_NORMAL

  the possible severities of an alarm

  See Also:
    Constant Field Values

### SEVERITY_WARNING

    public static final int SEVERITY_WARNING

See Also:
  Constant Field Values

### SEVERITY_MINOR

    public static final int SEVERITY_MINOR

See Also:
  Constant Field Values

### SEVERITY_MAJOR

    public static final int SEVERITY_MAJOR

See Also:
  Constant Field Values

### SEVERITY_CRITICAL

    public static final int SEVERITY_CRITICAL

See Also:
  Constant Field Values

### SEVERITY_UNKNOWN

    public static final int SEVERITY_UNKNOWN

See Also:
  Constant Field Values

### SEVERITY_STRINGS

    public static final String[] SEVERITY_STRINGS

  stringfied severities

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.